IHS (IBM HTTP Server) Cookbook
======================

This cookbook installs IBM HTTP Server version 8.5.5 and configures the httpd.conf to listen on port 80, additionally you can install WebSPhere Plugins.

This cookbook assumes that Installation Manager is  installed at /opt/IBM/InstallationManager path. You can use my InstallationManager cookbook to achieve this with chef. I did not make this a dependency for various reasons, but I have tested that including as a dependency works just fine.
This cookbook can be used with my FTPlogin cookbook to scp binaries required to copy. I am not including the binaries in this cookbook.

The code also verifies the checksum of the files after copying to the node. The install will fail if the checksum fails.

Requirements
------------
Platforms: Ubuntu 14.04, 15.04

Attributes
----------
default['IHS']['name'] = 'IHS85'

default['IHS']['message'] = 'Installing IBM HTTPServer version 8.5.5 to /opt/IBM/HTTPServer'

default['IHS']['package-name-1'] = 'WAS_V8.5.5_SUPPL_1_OF_3.zip'

default['IHS']['package-name-2'] = 'WAS_V8.5.5_SUPPL_2_OF_3.zip'

default['IHS']['package-name-3'] = 'WAS_V8.5.5_SUPPL_3_OF_3.zip'

default['IHS']['binaryhost'] = '192.168.1.7'

default['IHS']['ftploginuser'] = 'ftplogin'

default['IHS']['ftppath'] = '/opt/ibm/HTTPServer/docroot'

default['IHS']['IHS_version'] = '1.8.3000.20150606_0047'

default['IHS']['IHS_install_dir'] = '/opt/IBM/HTTPServer'

default['IHS']['imshared_install_dir'] = '/opt/IBM/IMShared/'

default['IHS']['imagentdata_install_dir'] = '/opt/IBM/IMAgentData'

default['IHS']['imcl_install_dir'] = '/opt/IBM/InstallationManger'

default['IHS']['IHS-responsefile'] = 'IHS85Install.xml'

default['IHS']['WasPlugin-responsefile'] = 'PLG85Install.xml'

default['IHS']['IHS-id'] = 'IBM HTTP Server'

default['IHS']['package1-sha256sum'] = 'd63c59de4a5548e3d26e71fefb76193d41ac7585bc450c1e504287e0a6f746c9'

default['IHS']['package2-sha256sum'] = 'ac00e7ab43cc528fe7f3ccd69aeb6564a2e738e7bc6e30e71fd2e0d4bd64f39e'

default['IHS']['package3-sha256sum'] = '94e3d9b70b139ad5fa0578da6857b295c5d2370c1b6ecb544c1e5757406fec90'

default['IHS']['imcl-path'] = '/opt/IBM/InstallationManager/eclipse/tools/imcl'

default['IHS']['IHS85-packageid'] = 'com.ibm.websphere.IHS.v85'

default['IHS']['IHS85-profiledesc'] = 'IBM HTTP Server V8.5'

default['IHS']['IHS85-features'] = 'core.feature,arch.64bit'

default['IHS']['IHS85-installpath'] = '/opt/IBM/HTTPServer'

default['IHS']['IHS85-binpath'] = '/opt/IBM/HTTPServer/bin'

default['IHS']['IHS85-httpdconf'] = '/opt/IBM/HTTPServer/conf/httpd.conf'

default['IHS']['IHS85-user'] = 'ihs'

default['IHS']['IHS85-group'] = 'wasgrp'

default['IHS']['IHSuserhome'] = '/home/ihs'

default['IHS']['PLG85-packageid'] = 'com.ibm.websphere.PLG.v85'

default['IHS']['PLG85-profiledesc'] = 'Web Server Plug-ins for IBM WebSphere Application Server V8.5'

default['IHS']['PLG85-features'] = 'core.feature,com.ibm.jre.6_64bit'

default['IHS']['PLG85-installpath'] = '/opt/IBM/Plugins'



Usage
-----
Add to the node's run list

To install and configure IHS:
knife node run_list add <node name> 'recipe[IHS::default]'

To Install Plugin:
knife node run_list add <node name> 'recipe[IHS::WasPlugin]'

License and Authors
-------------------
Rohit Gabriel, Auckland, New Zealand.

Profile: https://nz.linkedin.com/in/rohit-gabriel-22a76320
