IHSbinary_dir = "#{Chef::Config[:file_cache_path]}/IHSbinaries"

template "#{IHSbinary_dir}/#{node['IHS']['WasPlugin-responsefile']}" do
  source 'WASplugin-responsefile.erb'
  variables(
  PLGid: "#{node['IHS']['PLG85-packageid']}",
  PLGdesc: "#{node['IHS']['PLG85-profiledesc']}",
  PLGfeatures: "#{node['IHS']['PLG85-features']}",
  PLGpath: "#{node['IHS']['PLG85-installpath']}",
  imsharedpath: "#{node['IHS']['imshared_install_dir']}",
  IHSbinarypath: "#{IHSbinary_dir}"
  )
  owner 'root'
  group 'root'
  mode '0644'
  notifies :run, 'execute[install-PLG85]', :immediately
end

execute 'install-PLG85' do
  command "#{node['IHS']['imcl-path']} -acceptLicense -showProgress input '#{IHSbinary_dir}/#{node['IHS']['WasPlugin-responsefile']}' -dataLocation '#{node['IHS']['imagentdata_install_dir']}' -log '#{IHSbinary_dir}/IHS85NDinstall.log'"
  cwd IHSbinary_dir
  action :run
end

Chef::Log.info("Modifying directory permissions to 755")
execute 'recursivedir-permissions' do
  command "chown -R #{node['IHS']['IHS85-user']}:#{node['IHS']['IHS85-group']} #{node['IHS']['PLG85-installpath']}"
  action :run
end

Chef::Log.info("Modifying directory permissions to 755")
execute 'recursivedir-permissions' do
  command "find #{node['IHS']['PLG85-installpath']} -type d -exec chmod 755 {} \\;"
  action :run
end

Chef::Log.info("Modifying file permissions to 754")
execute 'recursivefile-permissions' do
  command "find #{node['IHS']['PLG85-installpath']} -type f -exec chmod 754 {} \\;"
  action :run
end

execute 'start-IHS85' do
  command "#{node['IHS']['IHS85-binpath']}/apachectl -k restart"
  cwd IHSbinary_dir
  action :run
end

directory IHSbinary_dir do
  action :delete
  recursive true
end
